QCPFinancialData Class Reference
Author: Emanuel Eichhammer

· · · ·
Public Functions | Public Members | Static Public Functions
QCPFinancialData Class Reference

Holds the data of one single data point for QCPFinancial. More...

## Public Functions
| QCPFinancialData ()
| QCPFinancialData (double key, double open, double high, double low, double close)
double | sortKey () const
double | mainKey () const
double | mainValue () const
QCPRange | valueRange () const

## Public Members
double | key
double | open
double | high
double | low
double | close

## Static Public Functions
static QCPFinancialData | fromSortKey (double sortKey)
static bool | sortKeyIsMainKey ()

## Detailed Description

Holds the data of one single data point for QCPFinancial.

The stored data is:

- key: coordinate on the key axis of this data point (this is the mainKey and the sortKey)
- open: The opening value at the data point (this is the mainValue)
- high: The high/maximum value at the data point
- low: The low/minimum value at the data point
- close: The closing value at the data point

The container for storing multiple data points is QCPFinancialDataContainer. It is a typedef for QCPDataContainer with QCPFinancialData as the DataType template parameter. See the documentation there for an explanation regarding the data type's generic methods.

See also
  QCPFinancialDataContainer

## Constructor & Destructor Documentation

## ◆ QCPFinancialData() [1/2]

QCPFinancialData::QCPFinancialData | ( |  | ) |

Constructs a data point with key and all values set to zero.

## ◆ QCPFinancialData() [2/2]

QCPFinancialData::QCPFinancialData | ( | double | key,
|  | double | open,
|  | double | high,
|  | double | low,
|  | double | close )

Constructs a data point with the specified key and OHLC values.

## Member Function Documentation

## ◆ sortKey()

double QCPFinancialData::sortKey | ( |  | ) | const
| inline

Returns the key member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ fromSortKey()

QCPFinancialData QCPFinancialData::fromSortKey | ( | double | sortKey | ) |
| inlinestatic

Returns a data point with the specified sortKey. All other members are set to zero.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ sortKeyIsMainKey()

bool QCPFinancialData::sortKeyIsMainKey | ( |  | ) |
| inlinestatic

Since the member key is both the data point key coordinate and the data ordering parameter, this method returns true.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ mainKey()

double QCPFinancialData::mainKey | ( |  | ) | const
| inline

Returns the key member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ mainValue()

double QCPFinancialData::mainValue | ( |  | ) | const
| inline

Returns the open member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ valueRange()

QCPRange QCPFinancialData::valueRange | ( |  | ) | const
| inline

Returns a QCPRange spanning from the low to the high value of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

The documentation for this class was generated from the following files:

- src/plottables/plottable-financial.h
- src/plottables/plottable-financial.cpp